# Payment Runs Use payment runs to collect payments using electronic payment methods, for example, credit cards and ACH. For more information about payment runs, see Payment Runs. ## List payment runs - [GET /v1/payment-runs](https://developer.zuora.com/v1-api-reference/api/payment-runs/get_paymentruns.md): Retrieves the information about all payment runs. You can define filterable fields to restrict the data returned in the response. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/payment-runs?status=Processed - /v1/payment-runs?targetDate=2017-10-10&status=Pending - /v1/payment-runs?status=Completed&sort=+updatedDate ## Create a payment run - [POST /v1/payment-runs](https://developer.zuora.com/v1-api-reference/api/payment-runs/post_paymentrun.md): Creates a payment run. You can create a payment run to be executed immediately after it is created, or a scheduled payment run to be executed in future. To filter the payments to be collected for a payment run, you can use either of the following methods but not both: - Use the accountId, batch, billCycleDay, currency, paymentGatewayId, and billingRunId fields to define the billing documents to be collected. - Use the data field to specify the records of accounts and billing documents to be collected, in a more flexible manner. See Create custom payment runs through Zuora REST API for more information. If no filter criteria are specified in the request body, the payment run collects payments for all accounts. ## Delete a payment run - [DELETE /v1/payment-runs/{paymentRunKey}](https://developer.zuora.com/v1-api-reference/api/payment-runs/delete_paymentrun.md): Deletes a payment run. Only payment runs with the Canceled or Error status can be deleted. ## Retrieve a payment run - [GET /v1/payment-runs/{paymentRunKey}](https://developer.zuora.com/v1-api-reference/api/payment-runs/get_paymentrun.md): Retrives the information about a specific payment run. ## Update a payment run - [PUT /v1/payment-runs/{paymentRunKey}](https://developer.zuora.com/v1-api-reference/api/payment-runs/put_paymentrun.md): Updates the information about an unexecuted payment run. Only pending payment runs can be updated. If none of the accountId, batch, billCycleDay, currency, paymentGatewayId, and billingRunId fields is specified in the request body, the corresponding payment run collects payments for all accounts. ## Retrieve payment run data - [GET /v1/payment-runs/{paymentRunKey}/data](https://developer.zuora.com/v1-api-reference/api/payment-runs/get_paymentrundata.md): Retrieves payment run data and the processing result with details, if the data field was specified in the Create payment run operation. ## Retrieve a payment run summary - [GET /v1/payment-runs/{paymentRunKey}/summary](https://developer.zuora.com/v1-api-reference/api/payment-runs/get_paymentrunsummary.md): Retrives the summary of a payment run.